## qtwebkit-opensource-src 5.2.0+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.2.0+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildd's logs.
  * Workaround FTBFS in 64 bits big endian archs.
    See https://bugs.webkit.org/show_bug.cgi?id=113638

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Dec 2013 08:57:57 -0300

qtwebkit-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Bump Qt build dependencies.
  * Refresh 05_sparc_unaligned_access.diff, no_gc_sections.diff and hurd.diff.
  * Remove new private stuff we are not shipping.
  * Update symbols files.
  * Remove jsmin.py from the original tarball because it is not
    DFSG-compatible.
    - Create a dfsg version.
    - Add a rule to prune non-free stuff in debian/rules.
    - Mangle the dfsg version in debian/watch.
  * Fix wrong name and path of the GPL-2 license in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Dec 2013 20:56:37 -0300
