## qtwebkit-opensource-src 5.3.0+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.3.0+dfsg-1ubuntu2) utopic; urgency=medium

  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Jun 2014 11:42:21 +0000

qtwebkit-opensource-src (5.3.0+dfsg-1ubuntu1) utopic; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release
  * Change include directories
  * Drop patches merged upstream:
    - debian/patches/aarch64.patch
    - debian/patches/dont_pollute_pri_and_pc_with_private_deps.patch
    - debian/patches/fix_ftbfs_in_archs_without_jit_support.patch
  * Update symbols file.
  * Sync with Debian's 5.3.0 packaging
    - Remaining changes building with GStreamer 1.0 and without WebP
    - Drop sensors and location b-d, not critical and Oxide provides those
    - Keep the transitional QML package
    - Keep additional patches from webkit.org upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Jun 2014 06:51:34 +0000

qtwebkit-opensource-src (5.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Do not build qtwebkit5-doc from this source anymore. It will now be built
    from qttools. In this way we allow qttools to build depend upon
    libqt5webkit5-dev without creating a circular dependency.
  * Do not force dh_builddeb to use xz compression: it's now the default.
  * Bump Qt build dependencies.
  * Remove fix_ftbfs_in_archs_without_jit_support.patch and
    dont_pollute_pri_and_pc_with_private_deps.patch, applied upstream.
  * Refresh no_gc_sections.diff.
  * Install headers in their new multi-arch qualified path. Mark the
    development package as Multi-Arch: same.
  * Take into account the new multi-arch path for removing the private
    headers.
  * Update symbols files with current log. The missing symbols are private
    stuff not present in any static method.
  * Remove the transitional package libqt5webkit5-qmlwebkitplugin.
  * Switch debugging symbols for amd64 to gstabs until we are able to build
    normal symbols again.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 May 2014 21:53:24 -0300

qtwebkit-opensource-src (5.2.1+dfsg1-1ubuntu2) utopic; urgency=medium

  * Update arm64 and ppc64el symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jun 2014 09:03:36 +0000

qtwebkit-opensource-src (5.2.1+dfsg1-1ubuntu1) utopic; urgency=medium

  * debian/control: Sort build-dependencies.
  * Merge with unreleased debian Git, remaining changes:
    - Build against qtsensors and qtlocation for additional features.
    - Build-depend on libudev-dev.
    - Build against GStreamer 1.0.
    - Disable WebP support since webp not in main.
    - Make libqt5webkit5-dev on some additional dev packages.
    - Backport upstream patches:
      + LLIntCLoop32BigEndian.patch
      + bug_118860_qtwebkit_511.patch
      + fix_unsafe_memory_load_store_on_arm.patch
      + aarch64.patch
    - Add Ubuntu-specific patches:
      + devicePixelResolution.patch
      + add_experimentalDevicePixelRatio.patch
    - Add Vcs-Bzr field.
  * Drop private headers, touch apps using them got ported to Oxide.
  * Refresh all Ubuntu patches.
  * Update symbols file.
  * Update for qtsensors5-dev → libqt5sensors5-dev renaming.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 11 May 2014 11:05:04 +0400

qtwebkit-opensource-src (5.2.1+dfsg1-1) unstable; urgency=medium

  * Rename libqt5webkit5-qmlwebkitplugin to qml-module-qtwebkit, adding proper
    Break and Replaces.
  * Add qtdeclarative5-dev as a dependency of libqt5webkit5-dev as it seems
    to be a requirement for stuff building with webkit.
  * Update symbols files with buildd's logs.
  * Remove prune-nonfree from debian/rules and instead use Files-Excluded in
    debian/copyright.
  * Remove dygraph-combined.js from the original tarball: minified javascript
    without source.
  * Increase dfsg revision to 1 due to the new source tarball.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 27 Apr 2014 22:23:04 -0300

qtwebkit-opensource-src (5.2.1+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:54:34 -0300

qtwebkit-opensource-src (5.2.1+dfsg-4) experimental; urgency=medium

  * Backport dont_pollute_pri_and_pc_with_private_deps.patch to avoid
    propagating wrong linker flags (Closes: #711307).
  * Create reduce_memory_usage.patch forcing ld to not cache the symbol tables
    of input files in memory to avoid memory exhaustion during the linking
    phase.
  * Disable JIT on armel, mips and mipsel.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Mar 2014 11:27:03 -0300

qtwebkit-opensource-src (5.2.1+dfsg-3) experimental; urgency=medium

  * Update symbols files with buildd's and current logs.
  * Only generate debugging symbols on selected archs.
    - Use gstabs on i386, powerpc and s390x.
    - Use full debugging only on amd64.
    - Set libqt5webkit5-dbg's Architecture list accordingly.
    - Remove stabs_format_debug_info.diff, no longer needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Feb 2014 21:51:37 -0300

qtwebkit-opensource-src (5.2.1+dfsg-2) experimental; urgency=medium

  * Backport fix_ftbfs_in_archs_without_jit_support.patch to fix FTBFSs in
    archs without JIT support.
  * Remove code in debian/rules that tried to fix the above unsuccessfully.
  * Also remove disable_jit_llint.diff with the same purpose.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 21 Feb 2014 13:29:40 -0300

qtwebkit-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files with buildd's logs.
  * Bump Qt build dependencies to 5.2.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Feb 2014 20:42:53 -0300

qtwebkit-opensource-src (5.2.1+dfsg-0ubuntu2) trusty; urgency=medium


