=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebkit-opensource-src-([^-]*)\.tar.xz
