## qtwebkit-opensource-src 5.3.1+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.3.1+dfsg-3) unstable; urgency=medium

  [ Julián Moreno Patiño ]
  * Team upload.

  [ Sune Vuorela ]
  * Link with -rt on hurd and kfreebsd (Closes: #757161).

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 11 Aug 2014 16:01:41 -0500

qtwebkit-opensource-src (5.3.1+dfsg-2) unstable; urgency=medium

  * Add hppa_wtf-dtoa-utils.diff to solve a FTBFS in HPPA (Closes: #753409).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Jul 2014 17:36:35 -0300

qtwebkit-opensource-src (5.3.1+dfsg-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies, using qtbase-private-dev >= 5.3.1 to get
    qtbase-abi-5-3-1.
  * Update symbols files with buildds' logs.
  * Switch amd64's debugging symbols to stabs again. I can't build dwarf
    symbols anymore due to lack of RAM, and I doubt our buildds could too.

  [ Alf Gaida ]
  * Fix QML module's install file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jun 2014 15:59:39 -0300

qtwebkit-opensource-src (5.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.
  * Switch back to build full debugging symbols on amd64.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 00:31:56 -0300
