=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtwebkit-opensource-src
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
@@ -15,15 +14,15 @@
                libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
                libglib2.0-dev,
                libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
-               libgstreamer1.0-dev,
-               libgstreamer-plugins-base1.0-dev,
+               libgstreamer-plugins-base0.10-dev,
+               libgstreamer0.10-dev,
                libicu-dev,
                libjpeg-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.3.0+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.3.0~),
+               libqt5opengl5-dev (>= 5.3.1+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.3.1~),
                libsqlite3-dev,
-               libudev-dev,
+               libwebp-dev,
                libxcomposite-dev,
                libxml2-dev,
                libxrender-dev,
@@ -33,16 +32,15 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.3.0+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
-               qtscript5-private-dev (>= 5.3.0~),
+               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
+               qtdeclarative5-private-dev (>= 5.3.1~),
+               qtscript5-private-dev (>= 5.3.1~),
                ruby
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt5webkit.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit-opensource-src
 
 Package: libqt5webkit5-dev
 Section: libdevel
@@ -50,10 +48,6 @@
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5webkit5 (= ${binary:Version}),
-         libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
-         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
-         libgstreamer-plugins-base1.0-dev,
-         libqt5opengl5-dev,
          qtbase5-dev,
          qtdeclarative5-dev,
          ${misc:Depends}
@@ -74,16 +68,6 @@
  from the World Wide Web into your Qt application.
  .
  This package contains the QtWebKit libraries.
-
-Package: libqt5webkit5-qmlwebkitplugin
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtwebkit, ${misc:Depends}
-Description: transitional dummy package for Qt WebKit QML module
- QtWebKit provides a Web browser engine that makes it easy to embed content
- from the World Wide Web into your Qt application.
- .
- This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtwebkit
 Architecture: any
