## qtwebkit-opensource-src 5.3.2+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.3.2+dfsg-2~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Oct 2014 23:03:55 -0300

qtwebkit-opensource-src (5.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 00:21:56 -0300

qtwebkit-opensource-src (5.3.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove unused code from debian/rules.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Refresh patches.
  * Remove hppa_wtf-dtoa-utils.diff, applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 00:23:05 -0300
