=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libicu-dev,
                libjpeg-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.3.1+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.3.1~),
+               libqt5opengl5-dev (>= 5.3.2+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.3.2~),
                libsqlite3-dev,
                libwebp-dev,
                libxcomposite-dev,
@@ -32,15 +32,15 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
-               qtdeclarative5-private-dev (>= 5.3.1~),
-               qtscript5-private-dev (>= 5.3.1~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.2~),
+               qtscript5-private-dev (>= 5.3.2~),
                ruby
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt5webkit.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qt5webkit.git
 
 Package: libqt5webkit5-dev
 Section: libdevel
