## qtwebkit-opensource-src 5.4.1+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.4.1+dfsg-3tanglu1) staging; urgency=medium

  * Add upstream patch to allow building with newer GLib versions
    (see https://codereview.qt-project.org/#/c/107411/ )

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Mar 2015 21:01:34 +0100

qtwebkit-opensource-src (5.4.1+dfsg-3) experimental; urgency=medium

  * Comment out libleveldb-dev build-dependency for now, it causes
    linking errors on some architectures.
  * Disable leveldb_memenv_path.diff as well.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Mar 2015 17:03:48 +0300

qtwebkit-opensource-src (5.4.1+dfsg-2) experimental; urgency=medium

  * Update leveldb_memenv_path.diff to make it really work.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Mar 2015 11:28:50 +0300

qtwebkit-opensource-src (5.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Bump Qt build-dependencies to 5.4.1.
  * Build-depend on libleveldb-dev so that the system leveldb copy
    is used, and not the private one.
    - Add a patch to use Debian path to memenv.h.
  * Refresh patches for the new release.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2015 19:43:59 +0300

qtwebkit-opensource-src (5.4.0+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Add qtbase5-doc-html to Build-Depends-Indep to make sure docs
    are properly linked with qtbase.
  * Drop these patches, applied upstream:
    - do_not_use_jit_on_big_endian_machines.patch
    - fix_cloop_on_big_endian_machines.patch
    - fix_crash_when_a_network_request_is_aborted_while_forwarding_data.patch
    - blacklist_libkpartsplugin.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update symbols files.
  * Add myself to Uploaders.

  [ Harald Sitter ]
  * Disable precompiled headers on amd64, powerpc and s390x.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Dec 2014 19:30:06 +0300

qtwebkit-opensource-src (5.3.2+dfsg-3) unstable; urgency=medium

  * Backport three patches to fix crashes:
    - do_not_use_jit_on_big_endian_machines.patch
    - fix_cloop_on_big_endian_machines.patch
    - fix_crash_when_a_network_request_is_aborted_while_forwarding_data.patch
  * Backport blacklist_libkpartsplugin.patch to prevent a crash due to a plugin
    built against Qt4 (Closes: #744006).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 17 Oct 2014 02:04:39 -0300
