=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
                chrpath,
                debhelper (>= 9.0.0),
@@ -18,9 +19,10 @@
                libgstreamer0.10-dev,
                libicu-dev,
                libjpeg-dev,
+#              libleveldb-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.3.2+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.3.2~),
+               libqt5opengl5-dev (>= 5.4.1+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.4.1~),
                libsqlite3-dev,
                libwebp-dev,
                libxcomposite-dev,
@@ -32,11 +34,12 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.2~),
-               qtscript5-private-dev (>= 5.3.2~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~),
+               qtscript5-private-dev (>= 5.4.1+dfsg~),
                ruby
-Standards-Version: 3.9.5
+Build-Depends-Indep: qtbase5-doc-html (>= 5.4.1+dfsg~)
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
