=== debian/changelog ===
qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu2.1) wily; urgency=medium

  * Build using ICU 55.1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jul 2015 12:26:43 +0200

qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu2) wily; urgency=medium

  * Rebuild for GCC5 transition.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sun, 12 Jul 2015 15:33:28 +0300

qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu1) wily; urgency=medium

  * New upstream release.
  * Drop upstream patches:
    - fix_unsafe_memory_load_store_on_arm.patch
    - fix_gmutexlocker.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 09:37:58 +0000

qtwebkit-opensource-src (5.4.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Sort debian/qml-module-qtwebkit.install.
  * Fix some substitutions in debian/libqt5webkit5.symbols.
  * Remove all obsolete sparc-specific symbols (Closes: #782063).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: 778359).
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation (Closes: #751186).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 23:00:28 -0300

qtwebkit-opensource-src (5.4.1+dfsg-2ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Merge with Debian's 5.4.1+dfsg-2.
  * debian/patches/fix_gmutexlocker.patch:
    - Fix FTBFS due to new glib
  * Comment out libleveldb-dev build-dep

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 10 Mar 2015 11:39:12 +0000

qtwebkit-opensource-src (5.4.0+dfsg-1ubuntu1) vivid; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release.
  * Bump build dependencies
  * Drop debian/patches/LLIntCLoop32BigEndian.patch

  [ Dmitry Shachnev ]
  * Merge with Debian experimental, remaining changes:
    - Build with GStreamer 1.0 and without WebP (in universe)
    - Keep the transitional QML package
    - Keep additional patches from webkit.org upstream
    - Keep Ubuntu device pixel ratio patches

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:34:49 +0000

qtwebkit-opensource-src (5.3.2+dfsg-2ubuntu1) vivid; urgency=medium

  * New upstream release
  * Sync with Debian 5.3.2+dfsg-2, remaining changes:
    - Build with GStreamer 1.0 and without WebP (in universe)
    - Keep the transitional QML package
    - Keep additional patches from webkit.org upstream
    - Keep Ubuntu device pixel ratio patches
  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 16 Jul 2014 13:39:04 +0000
