=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qtwebkit-opensource-src
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
@@ -15,16 +15,15 @@
                libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
                libglib2.0-dev,
                libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
-               libgstreamer-plugins-base0.10-dev,
-               libgstreamer0.10-dev,
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
                libicu-dev,
                libjpeg-dev,
-#              libleveldb-dev,
+#               libleveldb-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.4.1+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.4.1~),
+               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.4.2~),
                libsqlite3-dev,
-               libwebp-dev,
                libxcomposite-dev,
                libxml2-dev,
                libxrender-dev,
@@ -34,16 +33,17 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
-               qtscript5-private-dev (>= 5.4.1+dfsg~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.2~),
+               qtscript5-private-dev (>= 5.4.2+dfsg~),
                ruby
-Build-Depends-Indep: qtbase5-doc-html (>= 5.4.1+dfsg~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.4.2+dfsg~)
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qt5webkit.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit-opensource-src
 
 Package: libqt5webkit5-dev
 Section: libdevel
@@ -71,6 +71,16 @@
  from the World Wide Web into your Qt application.
  .
  This package contains the QtWebKit libraries.
+
+Package: libqt5webkit5-qmlwebkitplugin
+Architecture: all
+Section: oldlibs
+Depends: qml-module-qtwebkit, ${misc:Depends}
+Description: transitional dummy package for Qt WebKit QML module
+ QtWebKit provides a Web browser engine that makes it easy to embed content
+ from the World Wide Web into your Qt application.
+ .
+ This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtwebkit
 Architecture: any
